## org.biojava.bio.structure.io.mmcif.chem
Class ChemCompTools

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.chem.ChemCompTools

    public class ChemCompTools

extends Object

Some tools for working with chemical compounds.

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`ChemCompTools()`

Method Summary
`static Character` `getAminoOneLetter(String chemCompId)`
`static String` `getAminoThreeLetter(Character c)`
`static Character` `getDNAOneLetter(String chemCompId)`
`static String` `getDNATwoLetter(Character c)`
`static Character` `getOneLetterCode(ChemComp cc, ChemicalComponentDictionary dictionary)`
`static boolean` `isStandardChemComp(ChemComp cc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChemCompTools

    public ChemCompTools()

Method Detail

### getAminoOneLetter

    public static Character getAminoOneLetter(String chemCompId)

### getDNAOneLetter

    public static Character getDNAOneLetter(String chemCompId)

### getAminoThreeLetter

    public static String getAminoThreeLetter(Character c)

### getDNATwoLetter

    public static String getDNATwoLetter(Character c)

### isStandardChemComp

    public static final boolean isStandardChemComp(ChemComp cc)

### getOneLetterCode

    public static Character getOneLetterCode(ChemComp cc,
                                             ChemicalComponentDictionary dictionary)